// Audio Player Control via HID
// Rainer Boettchers

#include "Keyboard.h"

#define BUTTONPIN 4          // input pin for pushbutton
int buttonState;
int lastState;
int sendCharDown = 0x20; // char if switch pressend
int sendCharUp = 0x20; // char if switch released
unsigned long lasttime;
unsigned long nowtime;

void setup() {
  // make the pushButton pin an input:
  pinMode(BUTTONPIN, INPUT_PULLUP);
  lasttime = millis(); // init times
  // initialize control over keyboard:
  Keyboard.begin();
  lastState = digitalRead(BUTTONPIN); // init current state
}

void loop() {
  buttonState = digitalRead(BUTTONPIN); // read switch
  while (buttonState == HIGH)  { // same state as before?
    delay(5); // wait a moment to debounce
    buttonState = digitalRead(BUTTONPIN); // retry
  }
  // switch changed 
  if (buttonState == LOW) { //pedal down
    lasttime = millis();
    while (buttonState == LOW) { // wait
      buttonState = digitalRead(BUTTONPIN);
      delay(5);
    }
    // pedal released
    nowtime = millis() - lasttime; // get time pressed
    if (nowtime > 600L) { // long press
      Keyboard.write(KEY_LEFT_ARROW); 
      delay(10);

    }
    else {
      Keyboard.write(0x20);
      delay(20);
    }
  }
}